org.apache.tinkerpop.gremlin.structure.util.star

## Class StarGraphGraphSONDeserializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.star.StarGraphGraphSONDeserializer

-     public class StarGraphGraphSONDeserializer
      extends Object

  Provides helper functions for reading vertex and edges from their serialized GraphSON forms.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarGraphGraphSONDeserializer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `readStarGraphEdges(Function<Attachable<Edge>,Edge> edgeMaker, StarGraph starGraph, Map<String,Object> vertexData, String direction)` A helper function for reading vertex edges from a serialized `StarGraph` (i.e.
    `static StarGraph` | `readStarGraphVertex(Map<String,Object> vertexData)` A helper function for reading a serialized `StarGraph` from a `Map` generated by `StarGraphGraphSONSerializerV1d0`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StarGraphGraphSONDeserializer

          public StarGraphGraphSONDeserializer()

  - ### Method Detail

    - #### readStarGraphEdges

          public static void readStarGraphEdges(Function<Attachable<Edge>,Edge> edgeMaker,
                                                StarGraph starGraph,
                                                Map<String,Object> vertexData,
                                                String direction)
                                         throws IOException

      A helper function for reading vertex edges from a serialized `StarGraph` (i.e. a `Map`) generated by `StarGraphGraphSONSerializerV1d0`.
      Throws:
        `IOException`

    - #### readStarGraphVertex

          public static StarGraph readStarGraphVertex(Map<String,Object> vertexData)
                                               throws IOException

      A helper function for reading a serialized `StarGraph` from a `Map` generated by `StarGraphGraphSONSerializerV1d0`.
      Throws:
        `IOException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.